nxt.env

## Enum ServerStatus

- java.lang.Object
- - java.lang.Enum<ServerStatus>
  - - nxt.env.ServerStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ServerStatus>

      public enum ServerStatus
      extends java.lang.Enum<ServerStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AFTER_DATABASE`
    `BEFORE_DATABASE`
    `NOT_INITIALIZED`
    `STARTED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessage()`
    `boolean` | `isApiPortReady()`
    `boolean` | `isDatabaseReady()`
    `static ServerStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ServerStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_INITIALIZED

          public static final ServerStatus NOT_INITIALIZED

    - #### BEFORE_DATABASE

          public static final ServerStatus BEFORE_DATABASE

    - #### AFTER_DATABASE

          public static final ServerStatus AFTER_DATABASE

    - #### STARTED

          public static final ServerStatus STARTED

  - ### Method Detail

    - #### values

          public static ServerStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServerStatus c : ServerStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServerStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isDatabaseReady

          public boolean isDatabaseReady()

    - #### isApiPortReady

          public boolean isApiPortReady()

    - #### getMessage

          public java.lang.String getMessage()